Subject: Re: [PATCH 0/5] Support ancient systems

From: Andreas Ericsson <[email-masked]>
Date: Sat, 18 Feb 2006 03:35:17 +0100

Johannes Schindelin wrote:
> Hi,
> 
> On Fri, 17 Feb 2006, Tim O'Callaghan wrote:
> 
> 
>>On Fri, Feb 17, 2006 at 04:18:35PM +0100, Adrien Beau wrote:
>>
>>>On 2/17/06, Johannes Schindelin <[email-masked]> wrote:
>>>
>>>>I just got git to work on an Irix box. These are the changes I needed
>>>>to apply. Maybe some of them are of use for other ancient systems... You
>>>>know, I like ancient systems. And if I could get my hands on a VMS, I
>>>>would try to get git to work on it, too ;-)
>>>
>>>You can get free VMS accounts at the Deathrow Cluster:
>>>http://deathrow.vistech.net/
>>>
>>>If you're serious about using your account, you'll find that the admin
>>>team is pretty supportive and friendly.
>>
>>You should check out polarhome.com if you want a variety of platforms
>>to muck about on, including IRIX, Plan 9, OpenVMS Vax, OpenVMS Alpha
>>etc.
>>
>>I work on VMS systems at the moment and i thought of attempting to
>>port git for the hell of it. I decided not to bother for a variety of
>>reasons, but mostly because it looked like too much work :)  
> 
> 
> Well, I did not remember that VMS does not have a proper fork() call.

It doesn't. It's got vfork() though.

> BTW, my remark about VMS was more tongue-in-cheek than not...
> 

Thanks anyway. I would never have gotten that link to polarhome if you'd 
kept your tongue straight.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231